List projects
curl --request GET \
--url https://api.example.com/api/projects \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"key": "<string>",
"protected": true,
"deletedAt": "<string>",
"decisionsApprovalGroups": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"roleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"members": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": true,
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>"
}
}
]
}
],
"paginate": {
"current": 123,
"from": 123,
"to": 123,
"total": 123,
"pageSize": 123
}
}Project
List projects
Retrieve a paginated list of projects the user has access to within the organisation.
GET
/
api
/
projects
List projects
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Query Parameters
Search term to filter projects by name
If true, list all projects in the organisation (admin/owner only)
Available options:
true, false, True, False, TRUE, FALSE If true, list soft-deleted projects (admin/owner only)
Available options:
true, false, True, False, TRUE, FALSE Current page
Number of items per page
Was this page helpful?
⌘I